#pragma once


// demoConfCtrlDlg 对话框

class demoConfCtrlDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoConfCtrlDlg)

public:
	demoConfCtrlDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~demoConfCtrlDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CONF_CTRL_DIALOG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedButtonGoStartShare();
    afx_msg void OnBnClickedButtonStopShare();
    afx_msg void OnBnClickedButtonLeaveConf();
    afx_msg void OnBnClickedButtonStopConf();
    afx_msg void OnBnClickedButtonGoAddAttendees();
    afx_msg void OnBnClickedButtonGoSetTransWin();
    afx_msg void OnBnClickedButtonSetShareStrategy();
    afx_msg void OnBnClickedButtonSetShareAudio();
    afx_msg void OnBnClickedButtonAvdeviceCtrl();
    afx_msg void OnBnClickedButtonGeneralWatch();
    afx_msg void OnBnClickedButtonSetAnnotationInfo();
    afx_msg void OnBnClickedButtonStartAnnotation();
    afx_msg void OnBnClickedButtonSaveAnnotation();
    afx_msg void OnBnClickedButtonStopAnnotation();
    afx_msg void OnBnClickedButtonSetAutoHideToolbar();
    afx_msg void OnBnClickedButtonGetSelfShareState();
    afx_msg void OnBnClickedButtonSubtitleSetting();
    afx_msg void OnBnClickedButtonOpenWaitingroom();
    afx_msg void OnBnClickedButtonOperateLocalrecord();
    afx_msg void OnBnClickedButtonOpenVirtualbgSettingPage();
    afx_msg void OnBnClickedButtonGetConfLocalRecordStatus();
    afx_msg void OnBnClickedButtonGetSelfLocalRecordPermission();
    afx_msg void OnBnClickedButtonRequestLocalRecordPermission();
    afx_msg void OnBnClickedButtonApplyHostRole();
    afx_msg void OnBnClickedButtonGetSubtitlePageOpened();
    afx_msg void OnBnClickedButtonGetWaitingroomOpened();
    afx_msg void OnBnClickedButtonGetVirtualBackgroundSettingPageOpened();
    
private:
    HWND GetAnnoWnd();
};
